summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2016-12-28 14:41:21 -0200
committerSilvio Rhatto <rhatto@riseup.net>2016-12-28 14:41:21 -0200
commit8be91b62272e2e0022f0e1f0b12a18f627173f0b (patch)
tree2bc42c19d7877c20454aacc536d90b9127969a8f
parente247eafebef19f3b23a335bb917e11d4940f9540 (diff)
downloadhydra-8be91b62272e2e0022f0e1f0b12a18f627173f0b.tar.gz
hydra-8be91b62272e2e0022f0e1f0b12a18f627173f0b.tar.bz2
Adds provision-img
-rwxr-xr-xshare/hydractl/provision-img47
1 files changed, 47 insertions, 0 deletions
diff --git a/share/hydractl/provision-img b/share/hydractl/provision-img
new file mode 100755
index 0000000..9b9cdb2
--- /dev/null
+++ b/share/hydractl/provision-img
@@ -0,0 +1,47 @@
+#!/bin/bash
+#
+# System installer, vmdebootstrap version.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Make sure there is provision config.
+function hydra_provision_config {
+ hydra_user_config image /var/cache/qemu/debian.img "Destination image"
+ hydra_user_config size 3G "Image size"
+ hydra_user_config hostname machine "Hostname"
+ hydra_user_config domain example.org "Domain"
+ hydra_user_config arch amd64 "System arch"
+ hydra_user_config version jessie "Distro version"
+ hydra_user_config mirror http://http.debian.net/debian/ "Debian mirror"
+}
+
+# Load configuration
+hydra_provision_config_load $1
+
+# Get config parameters
+hydra_provision_config
+
+# Check for requirements
+for req in vmdebootstrap mbr; do
+ hydra_install_package $req
+done
+
+# Run
+hydra_sudo_run vmdebootstrap --verbose --image=$image --size=$size --distribution=$version \
+ --mirror=$mirror --arch=$arch --hostname=$hostname.$domain